package com.dweb.atmosphere.grizzly;

import java.io.IOException;

import org.atmosphere.config.managed.Encoder;
import org.codehaus.jackson.map.ObjectMapper;

/**
 * Encode a Message into a String
 */

public class JacksonEncoder implements Encoder<Message, String> {

    private final ObjectMapper mapper = new ObjectMapper();

    public String encode(final Message message) {
        try {
            return mapper.writeValueAsString(message);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
